Buteo::OOPServerPlugin Class Reference
Inheritance diagram for Buteo::OOPServerPlugin:

## Public Slots

virtual void | connectivityStateChanged (Sync::ConnectivityType aType, bool aState)
void | onProcessError (QProcess::ProcessError error)
void | onProcessFinished (int exitCode, QProcess::ExitStatus exitStatus)
void | onError (QString aProfileName, QString aMessage, int aErrorCode)
void | onSuccess (QString aProfileName, QString aMessage)
Public Slots inherited from Buteo::SyncPluginBase
virtual void | connectivityStateChanged (Sync::ConnectivityType aType, bool aState)=0
| Slot that is invoked by sync framework when changes occur in connectivity domains.

## Public Member Functions

| OOPServerPlugin (const QString &aPluginName, const Profile &aProfile, PluginCbInterface *aCbInterface, QProcess &process)
virtual bool | init ()
| Initializes the plugin.
virtual bool | uninit ()
| Uninitializes the plugin.
virtual bool | startListen ()
| Start listening for sync requests.
virtual void | stopListen ()
| Stop listening for sync requests.
virtual void | suspend ()
| Suspend activity.
virtual void | resume ()
| Resume suspended activity.
virtual bool | cleanUp ()
| Cleans up any sync related stuff (e.g sync anchors etc) when the profile is deleted.
Public Member Functions inherited from Buteo::ServerPlugin
| ServerPlugin (const QString &aPluginName, const Profile &aProfile, PluginCbInterface *aCbInterface)
| Constructor.
virtual | ~ServerPlugin ()
| Destructor.
Public Member Functions inherited from Buteo::SyncPluginBase
| SyncPluginBase (const QString &aPluginName, const QString &aProfileName, PluginCbInterface *aCbInterface)
| Constructor.
QString | getPluginName () const
| Returns the name of this plugin.
QString | getProfileName () const
| Returns profile name.
virtual void | abortSync (Sync::SyncStatus aStatus=Sync::SYNC_ABORTED)
| Aborts synchronization.
virtual SyncResults | getSyncResults () const
| Gets the results of the last completed sync session.

## Additional Inherited Members

Signals inherited from Buteo::ServerPlugin
void | newSession (const QString &aDestination)
| Signal sent when a new sync session is received by the server.
Signals inherited from Buteo::SyncPluginBase
void | transferProgress (const QString &aProfileName, Sync::TransferDatabase aDatabase, Sync::TransferType aType, const QString &aMimeType, int aCommittedItems)
| Emitted when progress has been made in synchronization in transferring items between local and remote database.
void | error (const QString &aProfileName, const QString &aMessage, SyncResults::MinorCode aErrorCode)
| Emitted when error has occurred in synchronization and it cannot be continued.
void | success (const QString &aProfileName, const QString &aMessage)
| Emitted when synchronization has been finished successfully.
void | accquiredStorage (const QString &aMimeType)
| Emitted when a storage is requested and accquired.
void | syncProgressDetail (const QString &aProfileName, int aProgressDetail)
| Emitted during Sync Progress to indicate the detail of the current ongoing sync.
Protected Attributes inherited from Buteo::ServerPlugin
Profile | iProfile
| Profile Object that the server plugin operates on.
Protected Attributes inherited from Buteo::SyncPluginBase
PluginCbInterface * | iCbInterface
| Pointer to synchronizer.
QMap< QString, ReceivedItemDetails > | receivedItems
ButeoPluginIface * | iOopPluginIface

## Member Function Documentation

## cleanUp()

bool OOPServerPlugin::cleanUp | ( |  | ) |

virtual

Cleans up any sync related stuff (e.g sync anchors etc) when the profile is deleted.

Derived plug-in should implement this function and perform any cleanup operations if required when the profile is deleted

Implements Buteo::SyncPluginBase.

## init()

bool OOPServerPlugin::init | ( |  | ) |

virtual

Initializes the plugin.

It is recommended that the plugin should do not do any thread insecure initializations inside constructor, instead it should be done inside this method.

Returns
  True on success, otherwise false

Implements Buteo::SyncPluginBase.

## resume()

void OOPServerPlugin::resume | ( |  | ) |

virtual

Resume suspended activity.

Implements Buteo::ServerPlugin.

## startListen()

bool OOPServerPlugin::startListen | ( |  | ) |

virtual

Start listening for sync requests.

Init must me called before this function.

Returns
  True on success, otherwise false

Implements Buteo::ServerPlugin.

## stopListen()

void OOPServerPlugin::stopListen | ( |  | ) |

virtual

Stop listening for sync requests.

Implements Buteo::ServerPlugin.

## suspend()

void OOPServerPlugin::suspend | ( |  | ) |

virtual

Suspend activity.

Implement this if upon being asked to suspend for some reason, any ongoing activity can be suspended

Implements Buteo::ServerPlugin.

## uninit()

bool OOPServerPlugin::uninit | ( |  | ) |

virtual

Uninitializes the plugin.

Returns
  True on success, otherwise false

Implements Buteo::SyncPluginBase.

The documentation for this class was generated from the following files:

- OOPServerPlugin.h
- OOPServerPlugin.cpp